Page MenuHomePhabricator

Unable to undelete file
Closed, ResolvedPublic

Description

At https://en.wikipedia.org/wiki/Special:Undelete/File:Protest.jpg

When I try to undelete the file from February 2008 I get the following error:

Error undeleting file: Could not read or write file "mwstore://local-multiwrite/local-deleted/t/k/3/tk3579dtcywoatguwxnwhtv4se420ig.jpg" due to insufficient permissions or missing directories/containers.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 5:43 AM
DMacks added a subscriber: DMacks.Mar 8 2016, 7:31 AM

Got a comparable error just now trying to delete (not undelete) at https://en.wikipedia.org/wiki/File:Airborne_Assault_entrance.jpg

Error deleting file: Could not read or write file
"mwstore://local-multiwrite/local-deleted/i/d/g/idgojvbts3qgwa8sr3rpm4jcx6liecw.jpg" due to insufficient permissions or missing directories/containers.

fgiunchedi triaged this task as High priority.
fgiunchedi added a subscriber: fgiunchedi.

thanks, there was indeed an error with synchronizing -deleted containers, I've launched a replication now and will report back once it has finished

the sync has finished, @DMacks @Closedmouth could you try again? thanks!

Yeah it worked for me, thanks.

Aklapper closed this task as Resolved.Mar 8 2016, 3:48 PM

Thanks for the feedback! Closing per last comment.

Confirmed working for me also.

fgiunchedi reopened this task as Open.Mar 9 2016, 9:51 AM

reopening as reported on irc for commons

09:44  <sDrewth> is there a current issue, I get an error "Errors were encountered while undeleting the 
                 file:
09:44  <sDrewth>     The file 
"mwstore://local-multiwrite/local-public/6/61/GERMAN_TROOPS_ADVANCING_PAST_ABANDONED_AMERICAN_EQUIPMENT.jpg" is in an inconsistent state within the internal storage backends" when trying to undelete at Commons

Godog asks that I put the fuller information that I have.

Trying to undelete
https://commons.wikimedia.org/w/index.php?title=File:GERMAN_TROOPS_ADVANCING_PAST_ABANDONED_AMERICAN_EQUIPMENT.jpg

Full error

Errors were encountered while undeleting the file:

  The file "mwstore://local-multiwrite/local-public/6/61/GERMAN_TROOPS_ADVANCING_PAST_ABANDONED_AMERICAN_EQUIPMENT.jpg" is in an inconsistent state within the internal storage backends
  The file "mwstore://local-multiwrite/local-public/archive/6/61/20120207233050!GERMAN_TROOPS_ADVANCING_PAST_ABANDONED_AMERICAN_EQUIPMENT.jpg" is in an inconsistent state within the internal storage backends
  The file "mwstore://local-multiwrite/local-public/archive/6/61/20110822043204!GERMAN_TROOPS_ADVANCING_PAST_ABANDONED_AMERICAN_EQUIPMENT.jpg" is in an inconsistent state within the internal storage backends
  The file "mwstore://local-multiwrite/local-public/archive/6/61/20110726195552!GERMAN_TROOPS_ADVANCING_PAST_ABANDONED_AMERICAN_EQUIPMENT.jpg" is in an inconsistent state within the internal storage backends
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptMar 9 2016, 9:58 AM
fgiunchedi closed this task as Resolved.Mar 9 2016, 11:07 AM

resolving again, this should be fully fixed now.
The issue was that after merging https://gerrit.wikimedia.org/r/272922 another swiftrepl run was needed to sync again added and deleted files for commons containers